Package org.opensaml.saml.saml2.metadata.impl

# Class IndexedEndpointImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.metadata.impl.EndpointImpl
org.opensaml.saml.saml2.metadata.impl.IndexedEndpointImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `XMLObject`, `SAMLObject`, `Endpoint`, `IndexedEndpoint`

Direct Known Subclasses:
  `ArtifactResolutionServiceImpl`, `AssertionConsumerServiceImpl`, `DiscoveryResponseImpl`

public abstract class IndexedEndpointImpl extends EndpointImpl implements IndexedEndpoint
Concrete implementation of `IndexedEndpoint`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Integer`
`index`
Index of this endpoint.
`private XSBooleanValue`
`isDefault`
isDefault attribute.

### Fields inherited from interface org.opensaml.saml.saml2.metadata.Endpoint

`BINDING_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, LOCATION_ATTRIB_NAME, RESPONSE_LOCATION_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.metadata.IndexedEndpoint

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, INDEX_ATTRIB_NAME, IS_DEFAULT_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`IndexedEndpointImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Integer`
`getIndex()`
Gets the index of the endpoint.
`Boolean`
`isDefault()`
Gets whether this is the default endpoint in a list.
`XSBooleanValue`
`isDefaultXSBoolean()`
Gets whether this is the default endpoint in a list.
`void`
`setIndex(Integer theIndex)`
Sets the index of the endpoint.
`void`
`setIsDefault(Boolean newIsDefault)`
Sets whether this is the default endpoint in a list.
`void`
`setIsDefault(XSBooleanValue theIsDefault)`
Sets whether this is the default endpoint in a list.

### Methods inherited from class org.opensaml.saml.saml2.metadata.impl.EndpointImpl

`getBinding, getLocation, getOrderedChildren, getResponseLocation, getUnknownAttributes, getUnknownXMLObjects, getUnknownXMLObjects, setBinding, setLocation, setResponseLocation`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.saml.saml2.metadata.Endpoint

`getBinding, getLocation, getResponseLocation, setBinding, setLocation, setResponseLocation`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### index

@Nullable private Integer index
Index of this endpoint.

### isDefault

@Nullable private XSBooleanValue isDefault
isDefault attribute.

## Constructor Details

### IndexedEndpointImpl

protected IndexedEndpointImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getIndex

@Nullable public Integer getIndex()
Gets the index of the endpoint.

Specified by:
  `getIndex` in interface `IndexedEndpoint`
Returns:
  index of the endpoint

### setIndex

public void setIndex(@Nullable Integer theIndex)
Sets the index of the endpoint.

Specified by:
  `setIndex` in interface `IndexedEndpoint`
Parameters:
  `theIndex` - index of the endpoint

### isDefault

@Nullable public Boolean isDefault()
Gets whether this is the default endpoint in a list.

Specified by:
  `isDefault` in interface `IndexedEndpoint`
Returns:
  whether this is the default endpoint in a list

### isDefaultXSBoolean

@Nullable public XSBooleanValue isDefaultXSBoolean()
Gets whether this is the default endpoint in a list.

Specified by:
  `isDefaultXSBoolean` in interface `IndexedEndpoint`
Returns:
  whether this is the default endpoint in a list

### setIsDefault

public void setIsDefault(@Nullable Boolean newIsDefault)
Sets whether this is the default endpoint in a list. Boolean values will be marshalled to either "true" or "false".

Specified by:
  `setIsDefault` in interface `IndexedEndpoint`
Parameters:
  `newIsDefault` - whether this is the default endpoint in a list

### setIsDefault

public void setIsDefault(@Nullable XSBooleanValue theIsDefault)
Sets whether this is the default endpoint in a list.

Specified by:
  `setIsDefault` in interface `IndexedEndpoint`
Parameters:
  `theIsDefault` - whether this is the default endpoint in a list